"use strict";

var _optimizelySdk = _interopRequireDefault(require("@optimizely/optimizely-sdk"));

var _optimizely = require("./optimizely");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var config = {
  sdkKey: 'abscdef',
  audience: 'some_audience'
};
var flags = ['feature1', 'feature2'];
jest.spyOn(_optimizelySdk["default"], 'createInstance').mockImplementation(function () {
  return {
    onReady: function onReady() {
      return {
        then: function then(callBack) {
          return callBack();
        }
      };
    },
    getEnabledFeatures: function getEnabledFeatures() {
      return flags;
    }
  };
});
describe('Optimizely client', function () {
  it('init passes flags to handler', function () {
    var handler = jest.fn();
    var client = (0, _optimizely.optimizelyClient)(config);
    client.init(handler);
    expect(handler).toHaveBeenCalledWith({
      feature1: true,
      feature2: true
    });
  });
});